function Data = GenerateData()
% Generate random data to classify
%   Data[i,1] = x coordinate of i-th sample
%   Data[i,2] = y coordinate of i-th sample
%   Data[i,3] = class lable of i-th sample, 0 or 1

N = 50; % 2N = number of samples

Data(1:N,1)= 3+randn(N,1); % the first N samples are supposed to be class 0 with center at (3,1)
Data(1:N,2) = 1+randn(N,1);
Data(N+1:2*N, 1) = 1+randn(N,1); % the second N samples are supposed to be class 1 with center at (1,3)
Data(N+1:2*N, 2) = 3+randn(N,1);


for i=1:2*N                % we are making the data linearly separable by the line y=x
    if(Data(i,2)<=Data(i,1)) 
        Data(i,3)=1;
    else
        Data(i,3)=0;
    end
end

end

