function [ output_args ] = PlotSampleLine( Data, w )
% Plot the samples and lines 
%   w = weight vector

L = logical(Data(:,3));

sX = min(Data(:,1));
eX = max(Data(:,2));

Xf = sX:0.01:eX; Yf=-(w(3)+Xf*w(1))/w(2);  % Line w(1)x+w(2)y+w(3)=0
figure;
hold on;
scatter(Data(L,1),Data(L,2),'bo')
scatter(Data(~L,1),Data(~L,2),'rx')
plot(Xf,Yf,'k-')
end

